use criterion::{black_box, criterion_group, criterion_main, Criterion};

use parsing::grammar::parse;

pub fn criterion_benchmark(c: &mut Criterion) {
    c.bench_function("parse type", |b| {
        b.iter(|| parse("List[Dict[List[Dict[int, int]], str]]".into()))
    });
}

criterion_group!(benches, criterion_benchmark);
criterion_main!(benches);
